Package: grails.ui.support

## [Groovy] Class DevelopmentGrailsApplication

- grails.ui.support.DevelopmentGrailsApplication

-     @groovy.transform.CompileStatic
      class DevelopmentGrailsApplication
      extends GrailsApp

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApp` | `GRAILS_BANNER, SPRING_PROFILES, configuredEnvironment, developmentModeActive, directoryWatcher, enableBeanCreationProfiler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected DevelopmentGrailsApplication (java.lang.Class<?>[] sources)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `configureApplicationContextClass()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApp` | `compileGroovyFile, configureDirectoryWatcher, configureEnvironment, createApplicationContext, createPluginManagerListener, enableDevelopmentModeWatch, isDevelopmentModeActive, loadPluginConfigurationsToMicronautContext, newMicronautContextBuilder, printRunStatus, recompile, run, run, run, setDevelopmentModeActive`

- - ### Constructor Detail

    - #### protected DevelopmentGrailsApplication(java.lang.Class<?>[] sources)

  - ### Method Detail

    - #### protected java.lang.Object configureApplicationContextClass()